Skip to main content
`Ctrl`+`K`

# TSMonitorSPEigCtxCreate

Creates a context for use with `TS` to monitor the eigenvalues of the linearized operator

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSPEigCtxCreate(MPI_Comm comm, const char host[], const char label[], int x, int y, int m, int n, PetscInt howoften, TSMonitorSPEigCtx *ctx)

Collective

## Input Parameters

- comm - the communicator to share the monitor

- host - the X display to open, or `NULL` for the local machine

- label - the title to put in the title bar

- x - the horizontal screen coordinates of the upper left coordinate of the window

- y - the vertical coordinates of the upper left coordinate of the window

- m - the screen width in pixels

- n - the screen height in pixels

- howoften - if positive then determines the frequency of the plotting, if -1 then only at the final time

## Output Parameter

- ctx - the context

## Options Database Key

- -ts_monitor_sp_eig - plot egienvalues of linearized right-hand side

## Notes

Use `TSMonitorSPEigCtxDestroy()` to destroy the context

Currently only works if the Jacobian is provided explicitly.

Currently only works for ODEs u_t - F(t,u) = 0; that is with no mass matrix.

## See Also

TS: Scalable ODE and DAE Solvers, `TSMonitorSPEigTimeStep()`, `TSMonitorSet()`, `TSMonitorLGSolution()`, `TSMonitorLGError()`

## Level

intermediate

## Location

src/ts/interface/tseig.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages